@mixin light(){
  --hljs-base:  #545454;
  --hljs-background: #fefefe;
  --hljs-comment: #696969;
  --hljs-keyword: #7928a1;
  --hljs-name: #d91e18;
  --hljs-literal: #aa5d00;
  --hljs-attribute: #aa5d00;
  --hljs-number: #aa5d00;
  --hljs-link: #aa5d00;
  --hljs-class: #d91e18;
}

@mixin dark(){
  --hljs-base: #2b2b2b;
  --hljs-background: #f8f8f2;
  --hljs-comment: #d4d0ab;
  --hljs-keyword: #dcc6e0;
  --hljs-name: #ffa07a;
  --hljs-literal: #f5ab35;
  --hljs-attribute: #ffd700;
  --hljs-number: #f5ab35;
  --hljs-link: #f5ab35;
  --hljs-class: #ffa07a;
}

// Default theme and  dark variant
body,
.rui {
  @include light();

  /* stylelint-disable scss/media-feature-value-dollar-variable */
  @media (prefers-color-scheme: dark) {
    @include dark();
  }
  /* stylelint-enable scss/media-feature-value-dollar-variable */

  &-theme {
    &--light {
      @include light();
    }

    &--dark{
      @include dark();
    }
  }
}

/* stylelint-disable no-descending-specificity, selector-class-pattern, order/properties-order */
pre > code {
  display: block;
  padding: 1em;
  overflow-x: auto;
}

code.hljs {
  padding: 3px 5px;
}

.hljs {
  color: var(--hljs-base);
  background: var(--hljs-background);
}

.hljs-comment, .hljs-quote {
  color: var(--hljs-comment);
  font-style: italic
}

.hljs-doctag, .hljs-formula, .hljs-keyword {
  color: var(--hljs-comment);
}

.hljs-deletion, .hljs-name, .hljs-section, .hljs-selector-tag, .hljs-subst {
  color: var(--hljs-name);
}

.hljs-literal {
  color: var(--hljs-literal);
}

.hljs-addition, .hljs-attribute, .hljs-meta .hljs-string, .hljs-regexp, .hljs-string {
  color: var(--hljs-attribute);
}

.hljs-attr, .hljs-number, .hljs-selector-attr, .hljs-selector-class, .hljs-selector-pseudo, .hljs-template-variable, .hljs-type, .hljs-variable {
  color: var(--hljs-number);
}

.hljs-bullet, .hljs-link, .hljs-meta, .hljs-selector-id, .hljs-symbol, .hljs-title {
  color: var(--hljs-link);
}

.hljs-built_in, .hljs-class .hljs-title, .hljs-title.class_ {
  color: var(--hljs-class);
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: 700;
}

.hljs-link {
  text-decoration: underline;
}

/* stylelint-enable no-descending-specificity, selector-class-pattern, order/properties-order */


// HighlightJS overrides
code[class^="language-"]{
  padding:0;
  border-radius: 0;
  background-color: inherit;
}
